
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MATLAB信号处理仿真-基带脉冲成形的数字滤波器 / iVAN</title>

    <meta name="description" content="MATLAB信号处理仿真-基带脉冲成形的数字滤波器 http://bbs.ednchina.com/BLOG_ARTICLE_3008491.HTM 本次我们探讨另外一个在本科阶段让我们头痛的东西,通信原理之必考曲目,拼死也要背下来的内容,基带脉冲成形.然而俺对这个东西的理解和认识却是在本科以后的事情. 早年(比如[黑][社][会]大佬用摩托罗拉的手机砸人的时代)的基带成形都是用模拟电路做的,那会儿的数字电路密度极低,想想大学本科数电实验里面的各种74系列芯片,如果用这个东西拼个数字滤波器估计会疯掉.况且,就算有数字滤波器,高速高精度的ADC.D">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MATLAB信号处理仿真-基带脉冲成形的数字滤波器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>http://bbs.ednchina.com/BLOG_ARTICLE_3008491.HTM</p>
<p>本次我们探讨另外一个在本科阶段让我们头痛的东西，通信原理之必考曲目，拼死也要背下来的内容，基带脉冲成形。然而俺对这个东西的理解和认识却是在本科以后的事情。</p>
<p>早年（比如[黑][社][会]大佬用摩托罗拉的手机砸人的时代）的基带成形都是用模拟电路做的，那会儿的数字电路密度极低，想想大学本科数电实验里面的各种74系列芯片，如果用这个东西拼个数字滤波器估计会疯掉。况且，就算有数字滤波器，高速高精度的ADC、DAC也是个问题。所以，早些年的数字电路课本的名字通常叫做“脉冲与数字电路”，言下之意，这东西用来处理脉冲信号的，而且，也就处理处理脉冲信号，千万别想着整太复杂的东西，那会还是一个模拟电路统治着通信系统的时代。</p>
<p>问题在于，除了打电话这种事情，人们还是有传送数据的需求的，比如说像寻呼机这种无线数字通信系统，更早的，比如郑君里老师在 《教与写的记忆-信号与系统评注》提到的他年轻时候的神器“1200波特数传机”这东西用现在的话讲叫做“1200波特率调制解调器”，送你一台上网用，你肯定嫌慢，但是在当时是要国家立项的重大课题。如果你愿意去一些通信原理或是信号与系统的课本里面考古，也许会看见有些习题专门探讨如何设计一个模拟的升余弦滚降滤波器。在那个时代里，数字电路的任务是把要发送的比特信息变换成脉冲信号，就是一些列各种幅度（多进制调制）的方波，我们在信号与系统的课程里知道，方波信号的带宽是无穷大的，所以后级的模拟成形滤波器负责把这些方波的频谱带宽变小，同时又要满足时域采样点无失真的准则。</p>
<p>我们在数字信号处理课程里面学习过IIR滤波器，而且还有“双线性变换法”，“冲击响应不变法"，以及各种让我们头晕的东西，我小时候第一次学这东西的时候在想，整这个玩意儿干嘛，后来才明白，这东西是为了用数字的方法来实现以前的模拟滤波器，模拟滤波器都是有极点的，映射到数字域中，就是IIR滤波器，那么为什么要替换掉模拟滤波器呢，有两个原因，一是为了提高通信产品的一致性，模拟元件比如电容、电阻的值是无法严格准确生产的，至于电感就是个更加不靠谱的东西，这就导致每个模拟电路元件被制造出来都不会完全一样，如果系统中大量使用模拟元件，最后误差的积累会是个大问题，所以设计者会预先在电路里面加入一些参数可调的元件，在最后的组装阶段让工人师傅看着测试仪器手动调节产品。数字电路则不同，一旦被生产出来，行为完全一致，后期的组装调试环节大为简化，所以更加有生产的效率，若你玩过红色警报、星际争霸应当知道，快速生产可是个大事情。<br />
 </p>
<p>以上这个行为一致性的优点只是一方面，另一方面，更加有吸引力的是，数字电路中有一个概念叫做”等比缩小“，比如最早的计算机有房子那么大，可能连你手机里面处理器计算能力的百分之一都没有，我以前为了做某些算法，去70年代的IEEE trans 里面考古，发现某些科学家在文章的末尾贴试验数据的章节里炫富，”俺这个快速算法在拥有1M字节内存的XX型号的IBM豪华大型机上的运行时间是12秒“，俺当时感到唏嘘不已。所以，你在现在的港产警匪片里面再也看不到大佬们要专门配备一个小弟替他拿电话并且大佬还要用移动电话砸人了。</p>
<p>如果不是为了替换模拟时代的滤波器，或是为了适应一些特殊的自适应滤波器的需求，我是会尽量回避使用IIR滤波器的，尤其是在用FPGA作为实现手段的场合。为什么？因为这个有极点的滤波器真是对量化噪声极其敏感啊，动不动就自激振荡啊，调过一次之后被折腾的七荤八素的，后来就再也不敢用了，还是乖乖的用FIR滤波器，让领导给买个大芯片顶上先。如果是在处理器上，尤其是支持浮点的CPU，做做倒是无妨，但是也要注意滤波器如果阶数高了，IIR这东西仍然是个危险品。</p>
<p>所以，在数字信号处理的领域，基带成形滤波器通常的选择还是FIR，在用数字的方法进行基带成形时，需要额外注意的一个事情就是多速率，这是容易混淆的地方，这种成形滤波器有两个速率，一个是输入的符号的速率，滤波器的输入是一系列或正或负的脉冲串，这个脉冲串是由要传输的信息比特经过符号映射得到的，如果是多电平调制的方式，脉冲串会有多种幅度，最简单的映射方式是：信息比特0映射为脉冲符号-1，信息比特1映射为脉冲符号+1，这个脉冲符号是什么呢，就是“奈奎斯特准则”里面所说的“采样点无失真”的采样点，这个采样点指的就是脉冲符号。另一个速率呢，就是滤波器输出波形的采样率，根据采样定理，不能小于2倍的信号带宽，而且，有时候为了其他的原因，比如简化滤波器的设计，可能会用更高的采样率。</p>
<p>好了，这里我们又要展示一个跷跷板了，如同短时傅里叶变换中的时域、频域分辨率是跷跷板的两端。这个基带成形设计也有个跷跷板，让我们来看看。</p>
<p>所谓跷跷板，就是说，有若干个参数，而且相互之间有制约，调节了一个参数，另外的参数会随之改变，通常我们的做法是，先固定一部分，然后调节另外的，再观察调节的结果。</p>
<p>幸好，这里只有三个参数，根据通信原理的课本，当采用升余弦滚降滤波器进行成形的时候，这三个参数为：脉冲符号的速率 Rs，滚降系数beta，生成的窄带信号的带宽BW，课本上说了，BW=Rs(1+beta)/2，beta是一个介于0、1之间的小数，这个表达式很简单，它说明了这样一个事实：对于符号速率为Rs的脉冲串，如果要做到采样点无失真，用一个带限信号传输它，那么这个带限信号的带宽将会介于0.5Rs和Rs之间。这时我们跷跷板的一头是信号带宽，另一头是滤波器的频响形状，你看下面这个图，从wiki拷贝下来的，这个beta=0的时候是“砖墙”牌的理想低通啊，这可不是闹着玩的，所以说，如果要求传输固定速率的脉冲符号，要想节省带宽，就要做一个能够逼近“砖墙”的高性能滤波器，否则就得多占用带宽，这个被固定下来的符号速率呢，就是跷跷板的支点。另外，我们也可以举出另外的案例，比如说，固定下来传输带宽，这时跷跷板的两头分别是滤波器滚降系数和符号速率，这和之前的案例本质上都是一样的，不失一般性，我们下面把符号速率当做跷跷板支点来讨论。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzNTA2OTg0LmpwZw==.jpg"></p>
<p>此处，我们提供了一段代码，这段代码表达了一个1200波特/秒的脉冲串，在通过不同配置的成形滤波器后所产生信号的时频特性。<br />成形滤波器采用的matlab函数是rcosine，除了要配置符号率、滚降系数、输出波形的采样率之外，还需要配置一个滤波器延迟，这个参数是干啥的？通信原理的课本没说，答案在数字信号处理的课本中，因为我们知道，FIR滤波器在概念上是个多抽头的移位寄存器，问题在于一旦你通过滚降系数指定了滤波器的频响曲线形状，另外还要决定的是，你准备用多少个抽头的FIR来实现这个滤波器，抽头越多，实现的FIR的频响阻带抑制越好，但是代价是，运算量和延迟。OK，是的，你又发现有跷跷板了。注意，这个函数的延迟参数的单位是脉冲符号的个数，即相对于输入端的延迟。</p>
<p>下面我们开始玩弄这个代码了。</p>
<p>先找一个比较中庸的配置，滚降系数0.5，采样率是3倍的符号率，滤波器延迟是8（个脉冲符号），由于FIR是中心对称的，你可以看到，总共的抽头系数是3*8*2+1=49个，通过下面这张时域的图你可以看到滤波器冲击响应的时域波形，以及输入的信息比特被映射为幅度是+1、-1的脉冲串，并且，被做了补零插值当做滤波器的输入。然后，在滤波器输出信号中你看看，是否实现了采样点无失真呢（请关注那些幅度是+1，-1的样点）？这个时域的信号的原始信息比特是0x47，数字卫星标准中的著名帧头。噢，等等，你是否觉得有点眼熟，对了，其实数字化的成形滤波器就是一个多速率信号处理里面的插值滤波器，这个我们在之前的系列文章中是有讨论的。</p>
<p>滚降系数0.5<br />插图，时域波形</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzMzE0OTEzLmpwZw==.jpg"></p>
<p>然后我们看看频域的幅频曲线，分别是线性尺度和dB尺度，我们看到这个滤波器的设计截止频率是900Hz，这符合公式的计算，而实现出来的滤波器的阻带衰减是-60dB左右。<br />插图，滤波器频响</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzNTQyMjY3LmpwZw==.jpg"></p>
<p>接下来，看看全部信号的加窗DFT频谱，同样，可以看到，在900Hz的位置衰减到-60dB<br />插图，加窗DFT频谱</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzNjA1MjY5LmpwZw==.jpg"></p>
<p>然后我们关注一下短时的幅频特性，元芳，上STDFT（短时傅里叶变换）频谱，然后讲讲你怎么看。<br />插图，瀑布图频谱</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzNjM1NzYwLmpwZw==.jpg"></p>
<p>好，其它参数不变，我们改改滚降系数，首先是滚降系数为0的<br />插图，时域波形</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzNzM4ODEzLmpwZw==.jpg"></p>
<p>砖墙是不可能完美实现滴，无限逼近吧，元芳，你看这个频谱，还记得信号与系统课本里面，有个词汇叫做“吉布斯现象”么？<br />注意看看滤波器的通带宽度和阻带衰减，惨不忍睹的-20dB啊<br />插图，滤波器频响</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzODEyNzA5LmpwZw==.jpg"></p>
<p>这信号带宽是600Hz，带外杂散很大。<br />插图，加窗DFT频谱</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzODM0MTk4LmpwZw==.jpg"></p>
<p>短时分析也是如此<br />插图，瀑布图频谱</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDAzOTAxODMxLmpwZw==.jpg"></p>
<p>接下来，再把滚降系数为改为1。<br />元芳，我大晚上写的烦躁，我妈喊我若干次赶紧睡觉了，你自己慢慢看吧。</p>
<p>插图，时域波形</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDA0MDM4OTU4LmpwZw==.jpg"></p>
<p>插图，滤波器频响</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDA0MTEyNjQxLmpwZw==.jpg"></p>
<p>插图，加窗DFT频谱</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDA0MTQ1MTQzLmpwZw==.jpg"></p>
<p>插图，瀑布图频谱</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmJzLmVkbmNoaW5hLmNvbS9pbWFnZXMvYXR0YWNobWVudHMvMjAxMjEwLzIwMTIxMDI0MDA0MjEzMzE1LmpwZw==.jpg"></p>
<p>通信系统的确是复杂且零碎的一门学科，希望本文对您的学习能尽到绵薄之力，网络上曾有诗曰：</p>
<p>天若有情天亦老，人学通信死得早。<br />商女不知亡国恨，隔江犹看信息论。<br />问君能有几多愁，误码率都不会求。<br />两岸猿声啼不住，互相讨论谱密度。<br />忽如一夜春风来，信号流图不会排。<br />洛阳亲友如相问，直接去问韩声栋。<br />风萧萧兮易水寒，调制解调各种难。<br />垂死病中惊坐起，明天要考载噪比！</p>
<pre>%///////////////////////////////////////////////////////////
% base band shaping use raised cosine FIR filter
%///////////////////////////////////////////////////////////
close all;
clear;
clc;

rate_symbol   = 1200                ; % input symbol rate
n_itp         = 3                   ; % num of interpolation
filter_delay  = 8                   ;
roll_off      = 1.0                 ;

head_bit      = [0 1 0 0 0 1 1 1 ].';
total_bit_len = 2048;
bit_map       = [-1 1]              ;

head_bit_len  = length(head_bit);
info_bit      = randint(total_bit_len-head_bit_len,1);

total_bit     = [head_bit; info_bit];

head_itp_len  = head_bit_len * n_itp;

fs_filter_out = n_itp*rate_symbol     % filter output sample rate

filter_delay_in_sample     = n_itp*filter_delay ;  

coeff = rcosine(rate_symbol, fs_filter_out, ...
        'fir/normal', roll_off, filter_delay);

coeff       = coeff .'              ;

% map info_bit to multi-level signal
signal_1x       = bit_map(total_bit + 1) ;

len_1x          = length(signal_1x)     ;

len_itp         = len_1x * n_itp        ;
signal_itp      = zeros(len_itp,1)      ;
% write the original signal value into itp signal
signal_itp(1:n_itp:len_itp-n_itp+1) = signal_1x;

data_conv       = conv(coeff, signal_itp);
data_conv       = filter(coeff,1, signal_itp);
filter_out      = data_conv   ;

signal_itp_x_axis = [1:head_itp_len] + filter_delay*n_itp;

figure;
head_itp  = signal_itp(1:head_itp_len);
head_conv = data_conv(1:head_itp_len+filter_delay_in_sample);

subplot(3,1,1); plot(coeff, 'linewidth',1.5); grid on; ylim([-0.3, 1.2]);
title('Filter Coeff', 'FontSize', 16);

subplot(3,1,2); stem(head_itp,...
'--ms', 'MarkerEdgeColor','k','MarkerFaceColor','g', 'MarkerSize',6 );
title('Header Bits Mapped to Symbol with Interpolation', 'FontSize', 16);
ylim([-1.2, 1.2]);
grid on; 

subplot(3,1,3); stem(signal_itp_x_axis, signal_itp(1:head_itp_len), ...
'--ms', 'MarkerEdgeColor','k','MarkerFaceColor','g', 'MarkerSize',6 );
grid on; hold;
subplot(3,1,3); plot(head_conv, 'linewidth',1.5);grid on;
title('Header Bits after Pulse Shaping Filter Output ', 'FontSize', 16);

kaiser_beta     =  8    ;

kaiser_win_spectrum_plot(fs_filter_out, filter_out, kaiser_beta);
title('Total Signal Spectrum', 'FontSize', 16);

len_w = floor(total_bit_len /8);
len_o = floor(len_w * 0.8);
len_d = len_w    ;
figure  ;
% use tic toc get running time
spectrogram(filter_out, len_w, len_o, len_d, fs_filter_out);
title('Spectrogram', 'FontSize', 16);
% get filter frequency reponse vector over 0~pi
[f_rp_vec ,w_pi] = freqz(coeff);
x_half_fs = w_pi/pi*(fs_filter_out/2);
f_rp_vec_norm_dB =  20*log10(abs(f_rp_vec)+1E-10);
f_rp_vec_norm_dB = f_rp_vec_norm_dB - max(f_rp_vec_norm_dB);

figure;
ideal_f_rp_vec = (x_half_fs &lt; fs_filter_out/(2*n_itp))*n_itp;

subplot(2,1,1);
h1 = plot(x_half_fs, abs(f_rp_vec),  ...
x_half_fs, ideal_f_rp_vec, '-r', 'linewidth', 1.5);
grid on;

title('Filter frequency response, Linear Scale', 'FontSize', 16);
legend('Actual filter response', 'Ideal filter response');
subplot(2,1,2);
plot(x_half_fs, f_rp_vec_norm_dB, 'linewidth', 1.5);grid on;
title('Filter frequency response, dB Scale', 'FontSize', 16);
ylim([-120, 5]);</pre>
<table>
<tbody>
<tr>
<td>附件:</td>
</tr>
<tr>
<td>
<table>
<tbody>
<tr>
<td>
</td>
<td><a href="http://bbs.ednchina.com/BLOG_ARTICLE_3008491.HTM#" rel="external nofollow noreferrer">Matlab_Code_Base_Band_Pulse_Shaping.rar</a></td>
</tr>
</tbody>
</table>
</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:54:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MATLAB信号处理仿真-基带脉冲成形的数字滤波器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVYe8b.html" rel="bookmark">与手机网速、通话质量千丝万缕的通信基带</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自从我们进入了4G时代,各家手机厂商处理器新品发布会现场都会听到支持全网通.x模x频等等一系列与通信网络有关的专有名词,这些技术最主要来自手机中的一个名为基带的芯片支持.那么什么是基带芯片呢? 什么是基带? 对于基带一词,想必很多网友都是耳熟能祥的东西,毕竟在&quot;远古&quot;时代的Android是可以随意刷写基带,就像更新ROM一样简单,刷入新基带过后还可能对手机的信号.通话质量有一定增强.不过呢在这里,我们所指的基带是硬件上的基带芯片. 基带芯片就是手机中的通信模块,最主要的功能就是负责与移			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40041z.html" rel="bookmark">《MATLAB信号处理超级学习手册》&mdash;&mdash;2&period;6 离散时间系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 离散时间系统 MATLAB信号处理超级学习手册 离散时间系统还可分成线性和非线性两种.同时具有叠加性和齐次性(均匀性)的系统,通常称为线性离散系统.当若干个输入信号同时作用于系统时,总的输出信号等于各个输入信号单独作用时所产生的输出信号之和,这个性质称为叠加性.齐次性是指当输入信号乘以某常数时,输出信号也相应地乘以同一常数. 不能同时满足叠加性和齐次性的系统称为非线性离散系统.如果离散系统中乘法器的系数不随时间变化,这种系统便称为时不变离散系统:否则就称为时变离散系统. 2.6.1 离散			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXWJLKM.html" rel="bookmark">《MATLAB信号处理超级学习手册》&mdash;&mdash;1&period;4 本章小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 本章小结 MATLAB信号处理超级学习手册MATLAB 语言由于语法的简洁性.代码接近自然数学描述方式以及具有丰富的专业函数库等诸多优点,吸引了众多科学研究工作者,越来越成为科学研究.数值计算.建模仿真以及学术交流的事实标准. 本章主要介绍了MATLAB语言的8个特点,并举例说明了MATLAB语言的简洁.方便.然后从MATLAB用户界面.变量及赋值.绘图命令.MATLAB程序的结构流等四个方面说明MATLAB的基本操作.最后对于MATLAB中的重要内容M文件进行了简单介绍.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkn0Jb.html" rel="bookmark">基带0day漏洞可攻击数百万部华为手机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是基带0day漏洞可攻击数百万部华为手机,安全公司Comsecuris的安全研究员Ralf-Phillip Weinmann周四透露:未公开的基带漏洞MIAMI影响了华为智能手机.笔记本WWAN模块以及loT(物联网)组件.在其中一种攻击方案中,攻击者可以对这些设备进行内存破坏的攻击.不过,攻击成功需要的条件很难具备,这大大降低了公共受攻击的可能性. 数千万的华为智能手机可被轻易攻击 Weinmann表示,这一个基带漏洞是HiSliconBalong芯片组中的4G LTE调制解调器(译者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7JPrz.html" rel="bookmark">以基带的名义，高通在5G商用前的创新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				过去数十年,移动通信一直保持着大约10年一代的节奏演进,从模拟语音,到数字语音,到现在的4G LTE,每一代移动通信技术的升级都象征着一个时代的跨越.当然,最让人振奋的是,2020年5G将在全球范围内商用. 5G是一个风口,这一点不可置否,但把目光聚焦在当下,我们仍然处于4G LTE和5G过度的阶段,然而VR.自动驾驶以及超高清视频等领域日渐普及,网络环境已捉襟见肘. 5G标准尚未形成,可以说是远水解不了近渴.但移动通信领域的巨头们不会坐以待毙,芯片商.通信设备商和运营商需要在5G到来之前带来新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQwOEp.html" rel="bookmark">基带损坏了，又不会修，肿么办？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 基带损坏了,又不会修,肿么办? 基带损坏了,不能识别sim卡,机型huawei c8825d前几天刷了个百度云的包,现在不想强刷,求帮忙 解决方案 这种垃圾手机,也就是百把块钱的价值,扔了再买一个就是了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZErZop.html" rel="bookmark">《MATLAB信号处理超级学习手册》&mdash;&mdash;2&period;2 信号的产生</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 信号的产生 MATLAB信号处理超级学习手册 本节将使用MATLAB产生基本信号.绘制信号波形.实现信号的基本运算,为信号分析和系统设计奠定基础. MATLAB提供了许多函数用于产生常用的基本信号,如阶跃信号.脉冲信号.指数信号.正弦信号和周期矩形波信号等,这些基本信号是信号处理的基础. 2.2.1 方波函数 square的调用函数如下所示. x=square(t):类似于sin(t),产生周期为2*pi,幅值为1的方波. x=square(t,duty):产生制定周期的矩形波,其中du			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rrZAz.html" rel="bookmark">《MATLAB信号处理超级学习手册》&mdash;&mdash;第2章 时间信号与系统 2&period;1 离散序列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 时间信号与系统 一个离散时间信号是一个整数值变量n的函数,表示为x(n)或{x(n)}.尽管独立变量n不一定表示&quot;时间&quot;(例如,n可以表示温度或距离),但x(n)一般被认为是时间的函数.因为离散时间信号x(n)对于非整数值n是没有定义的. 离散时间信号的波形绘制在MATLAB中一般用stem函数.stem函数的基本用法和plot函数一样,它绘制的波形图的每个样本点上有一个小圆圈,默认是空心的.如果需要实心,需使用参数&quot;fill&quot;.&quot;filled&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mydq0vb.html" rel="bookmark">三星自研基带成功，引发手机芯片行业蝴蝶效应</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近智能手机供应链流传一个说法:中国移动将从今年10月1日补贴LTE cat.7机型,由于联发科的基带(调制解调器)目前只能支持LTE cat.6,爆款机型OPPO R9的下个版本R9S将转向高通平台,从而对联发科芯片方案的出货造成不利影响. 近日展讯在媒体开放日上,也强调了其面向中高端智能手机市场推出的首款LTE芯片方案SC9860,集成的基带能够支持LTE cat.7,从而在市场竞争中相比联发科多了一个不对称优势. 基带对手机产业链的影响可见一斑.由于手机芯片集成方案的流行,只拥有应用处理器			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZB2oz.html" rel="bookmark" class="title">Photoshop制作绚丽光线装饰的艺术字</a>
					<div>
						  Photoshop制作绚丽光线装饰的艺术字         最终效果   1.新建文件输入文本,如图 2.按ctrl键点击文字图层小窗口,调出选区,点击菜单选择---修改---边界如图 3.新建图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDVx0M.html" rel="bookmark" class="title">三招分析外链对提高排名是否有作用</a>
					<div>
						俗话说外链为皇,这就是说明了外链对于网站的作用了.但是很多的网站外链数目庞大,却不能起到有效的提高网站排名权重的作用.实则让站长怀疑外链的作用是不是有这么大的作用.其实对于外链并非是数量就能解决问题, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2KXQM.html" rel="bookmark" class="title">新手SEO如何实战操作博客外链</a>
					<div>
						很多新手SEO朋友看到这个标题,会觉得博客外链没必要长篇大论的.其实不然,往往简单的工作做到极致就成为了高手,博客外链也是同样道理.作为最平常,比较有效的外链方法,博客外链是新手SEO必须掌握和熟练运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyL24b.html" rel="bookmark" class="title">用Fireworks为图片做锐化马赛克特效</a>
					<div>
						某位朋询问有什么方法能快速做出这种格子效果,这里为大家提供一种思路,并不需要局限于某一效果.为了模仿而模仿是没有意义的. 效果图: 思路分析: 此图属于马赛克效果的范畴,然后加以混合模式上的调整.不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNNRmM.html" rel="bookmark" class="title">vb&period;net的Textbox控件</a>
					<div>
						TextBox(文本框)控件也是在应用程序中经常要用到的控件之一,主要用来在程序运行时接受用户输入,也可以显示运行的结果,以完成用户与程序的交互.TextBox控件在工具箱中的图标如图所示: Text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7YLdb.html" rel="bookmark" class="title">简介穿过防火墙来远程控制协议分析仪</a>
					<div>
						当一个内部网接入因特网时,就可能会与50000个未知的网络和用户产生物理连接,打开这些连接就能使用各种各样的应用和共享信息,尽管大多数内容肯定不能与外界共享,因特网为黑客盗用信息和破坏网络提供了广阔的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLRX2b.html" rel="bookmark" class="title">用&OpenCurlyDoubleQuote;命令提示符&rdquo;查看Windows自启动信息</a>
					<div>
						要想查看Windows系统的自启动信息,我们一般都是通过在&quot;运行&quot;对话框中输入&quot;msconfig.exe&quot;命 令调用&quot;系统配置实用程序&quot;来查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jK3Pb.html" rel="bookmark" class="title">360安全卫士如何获取经验值升级</a>
					<div>
						用户可以通过每天完成&quot;任务&quot;来获取经验值,目前的任务包括:登录360账号,保持开启360安全卫士的实时防护,打开360安全卫士,完成一次安全体检并达到90分以上等. 每个任务都会获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK91aM.html" rel="bookmark" class="title">电脑32位和64位怎么看</a>
					<div>
						如何查看电脑是32位的(X86)还是64位的(X64) 开始-&gt;运行-&gt;输入cmd确定-&gt;输入systeminfo 回车 Windows7系统步骤略有差异 等待一会就会加载完成,在系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YJ7XM.html" rel="bookmark" class="title">写给那些网&OpenCurlyDoubleQuote;战&rdquo;英雄</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 您今晚是否又准备和你心爱的电脑亲密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32A37z.html" rel="bookmark" class="title">海量数据处理面试题与Bit-map详解</a>
					<div>
						十七道海量数据处理面试题与Bit-map详解 作者:小桥流水,redfox66,July. 前言     本博客内曾经整理过有关海量数据处理的10道面试题(十道海量数据处理面试题与十个方法大总结),此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoVgGb.html" rel="bookmark" class="title">在windows用c&plus;&plus;实现多线程？？</a>
					<div>
						问题描述 在windows用c++实现多线程?? 用c++写了两个实现不同功能的代码,一个是将文件分块,另一个是对每个分块进行哈希处理,现在想用多线程并行处理每个分块,请问如何使用用多线程??本人之前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRxgVz.html" rel="bookmark" class="title">专为Linux而优化的GeForce驱动程序可令帧速率翻倍</a>
					<div>
						2012 年 10 月 31 日 - 美国加利福尼亚州圣克拉拉 -NVIDIA® (英伟达) 为最新 NVIDIA® GeForce® 驱动程序 R310 的发布而感到高兴.该驱动程序让那些在 Lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3NK4z.html" rel="bookmark" class="title">关于定时器扫描数据库，根据数据库的值去想webservice定时发送，求高手给个思路</a>
					<div>
						问题描述 [b][/b]现在有这样一个需求,有表A 字段col_a;现在我需要用定时器去定期扫描表A中的数据,根据字段col_a的值来做些逻辑操作!:col_a的值有0,1,2,3,4,5如果为0:则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEOB3M.html" rel="bookmark" class="title">【NodeJs】Linux安装NodeJs并配合Nginx实现反向代理</a>
					<div>
						Linux安装NodeJs并配合Nginx实现反向代理 NodeJs 是什么 Node.js是一个Javascript运行环境(runtime).实际上它是对Google V8引擎进行了封装.V8引  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmeWab.html" rel="bookmark" class="title">不要随便频繁得删友情链接</a>
					<div>
						摘要: 做优化的都知道友情链接的重要性和作用,很多网站外链做的不是很多,单独靠几个友情链接就能在一些关键词上有很好的名次,但是一旦友情链接出了问题,后果也是很严重的,将面 做优化的都知道友情链接的重要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nvR8z.html" rel="bookmark" class="title">为何EditItemTemplate里面的控件执行不了jquery代码</a>
					<div>
						问题描述 jQuery(function($){$(&quot;#btnUpdate&quot;).click(function(){....});});///////这段代码没执行...代码...& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNrklp.html" rel="bookmark" class="title">微软WP8流畅度远超WP7&period;5</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   在10月29日微软发布会结束之后,各款搭载WP8设备马 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmvPAz.html" rel="bookmark" class="title">PHP中include&sol;require&sol;include&lowbar;once&sol;require&lowbar;once使用心得&lowbar;php技巧</a>
					<div>
						最近一直在抽时间来学习PHP,据说PHP是世界上最好的语言,于是各大论坛炸开了锅!哈哈,我们这里不是来讨论哪门语言是最好的语言,我们是在学习PHP中经常使用到的文件引入的四种方式的特点及区别! 相信大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYoP9b.html" rel="bookmark" class="title">linux中关于mysql 语句命令大全</a>
					<div>
						1.linux下启动mysql的命令:  代码如下 复制代码 mysqladmin start /ect/init.d/mysql start (前面为mysql的安装路径) 2.linux下重启my ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QryZM.html" rel="bookmark" class="title">上海工资税前7&period;5K，公司交4险一金，扣掉自己交的税金后，拿到手里有多少啊？</a>
					<div>
						问题描述 RT 解决方案 解决方案二:该回复于2012-03-06 20:27:21被版主删除解决方案三: 解决方案四:5990http://blog.csdn.net/keenweiwei/arti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ6NLM.html" rel="bookmark" class="title">asp&period;net比较大型的企业网站的项目、目录结构问题</a>
					<div>
						大型企业网站不同于一般的网站(几个页面就行了),大型网站有大量的页面,权限控制等也很复杂,为了提高开发效率,代码能有效重用,还是得注意一下项目的结构问题,不然乱开发效率是很低的,还不利于维护. 网站文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWxXAM.html" rel="bookmark" class="title">黑客网站负责人因培训黑客技术入狱</a>
					<div>
						黑客培训广告.资料图 今年35周岁的王某可能做梦也没想到,曾是一代黑客佼佼者的自己,会在铁窗内度过自己2011年的新年. 2003年5月,王某凭借自己对计算机网络的热爱,成为黑客程序界的高手,成功创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4wXkb.html" rel="bookmark" class="title">盈科后太平洋时代三大猜想</a>
					<div>
						盈科店昨日关闭,意味着太平洋百货正式撤出北京市场.尽管太平洋百货和北京商业的缘分暂时画上了句号,但其物业方盈科中心的未来却依旧牵动着业界的神经.据一位知情人士透露,盈科中心的招商工作早已全面开始,目前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdqLrp.html" rel="bookmark" class="title">SQL中的5种聚集函数</a>
					<div>
						原文:SQL中的5种聚集函数 作为一个刚毕业进入这行的菜鸟,婶婶的觉的那种大神.大牛到底是怎样炼成的啊,我这小菜鸟感觉这TMD要学的东西这多啊,然后就给自己定了许多许多要学习的东西,可是有人又不停地给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wErXz.html" rel="bookmark" class="title">背离现实世界，大数据毫无价值</a>
					<div>
						经过一代人的时间,&quot;技术天才&quot;与社会的关系发生了改变,他们从宅男变成了救世主,从反社会群体变成了社会的最大希望.许多人似乎确信,当下理解我们世界的最佳方式便是坐在屏幕前,分析海量信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GDK9M.html" rel="bookmark" class="title">2014云创存储全国代理商大会火爆开启</a>
					<div>
						5月8日-9日,2014年云创存储全国代理商招募大会在南京国际会议大酒店正式举行,来自全国各地40余家代理商.集成商.渠道商的近百位IT人士踊跃参会,更有国家工业信息化部.江苏省信息中心领导以及微软. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyGrkM.html" rel="bookmark" class="title">机密电子邮件阅后即焚</a>
					<div>
						盈世企业邮箱:机密邮件 阅后即焚最安全 电子邮件传输在带来办公便利.快捷的同时,也存在巨大的安全隐患,关于机密邮箱泄密.重要邮件被转发.邮件内容篡改等事件屡见不鲜. 通常情况下,这些机密邮件一旦发送出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnOAykz.html" rel="bookmark" class="title">zoj 3261 Connections in Galaxy War</a>
					<div>
						点击打开链接zoj 3261 思路: 带权并查集 分析: 1 题目说的是有n个星球0~n-1,每个星球都有一个战斗值.n个星球之间有一些联系,并且n个星球之间会有互相伤害 2 根本没有思路的题,看了网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baE7lmb.html" rel="bookmark" class="title">全球包装工业规划及未来发展的方向</a>
					<div>
						从2006年到2010年包装工业的年产值预计达到4500亿元规模,保持年平均增速为7%. 从2011年到2015年包装工业产值预计达到6000亿元,平均每年以6%的速度增长.纸包装制品从2001年到2 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
